<?php
# -- BEGIN LICENSE BLOCK ----------------------------------
# This file is part of dcFortunes, a plugin for Dotclear 2.
# 
# Copyright (c) 2012 Jean-Baptiste Langlois and contributors
# jeanbaptiste.langlois@gmail.com
# 
# Licensed under the GPL version 2.0 license.
# A copy of this license is available in LICENSE file or at
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
# -- END LICENSE BLOCK ------------------------------------


if (!defined('DC_RC_PATH')) { return; }
 
require dirname(__FILE__).'/_widgets.php';
 
class dcFortunesPublic {

	public static function getFortune($w)
	{
		$filelist = array();
		if ($fd = opendir(dirname(__FILE__).'/fortunes')) {
			while (false !== ($entry = readdir($fd))) {
				if (!(is_dir($entry))) {
					if ($w->{"file_$entry"}) {
						$filelist[] = dirname(__FILE__).'/fortunes/'.$entry;
					}
				}
			}
			closedir($fd);
		}
		srand(time());
		$quote = "";
		if ($fd = fopen($filelist[rand(0,sizeof($filelist)-1)],'r')) {
			$tabpos = array();
	        	while (!feof($fd)) {
        	           	$strline = fgets($fd);
	        	        if ($strline == "%\n") {
        	        	        $tabpos[] = ftell($fd);
				}
	        	}
			fseek($fd, $tabpos[rand(0, sizeof($tabpos)-1)]);
        	        $strline = fgets($fd);
	        	while ($strline != "%\n") {
        	                $quote .= $strline.'<br/>';
	        	        $strline = fgets($fd);
			}			
			fclose($fd);
		}
                $retval = "<div class=\"dcfortune\">";
		if ($w->title) {
			$retval .= "<h2>".$w->title."</h2>";
		}
                $retval .= "<p>$quote</p>";
		$retval .= "</div>";
		return $retval;
	}

}
?>