<?php
# -- BEGIN LICENSE BLOCK ----------------------------------
# This file is part of dcFortunes, a plugin for Dotclear 2.
# 
# Copyright (c) 2012 Jean-Baptiste Langlois and contributors
# jeanbaptiste.langlois@gmail.com
# 
# Licensed under the GPL version 2.0 license.
# A copy of this license is available in LICENSE file or at
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
# -- END LICENSE BLOCK ------------------------------------

if (!defined('DC_RC_PATH')) { return; }
 
$core->addBehavior('initWidgets',
	array('dcFortunes','initWidget'));
 
class dcFortunes
{
	public static function initWidget($w)
	{
		$w->create('MyWidget',__('dcFortunes'),
			array('dcFortunesPublic','getFortune'));

		$w->MyWidget->setting('title',__('Title:'),__('Quotes'),'text');
 
		if ($handle = opendir(dirname(__FILE__).'/fortunes')) {
			while (false !== ($entry = readdir($handle))) {
				if (!(is_dir($entry))) {
					$w->MyWidget->setting("file_$entry" , $entry, true,'check');				
				}
			}
			closedir($handle);
		}

	}
}
?>